package com.jianshui.invoiceall.service;

import java.util.List;
import com.jianshui.system.domain.InvoiceAllYhdj;

/**
 * 金四-用户登记Service接口
 * 
 * @author jianshui
 * @date 2022-12-13
 */
public interface IInvoiceAllYhdjService 
{
    /**
     * 查询金四-用户登记
     * 
     * @param id 金四-用户登记主键
     * @return 金四-用户登记
     */
    public InvoiceAllYhdj selectInvoiceAllYhdjById(Long id);

    /**
     * 查询金四-用户登记列表
     * 
     * @param invoiceAllYhdj 金四-用户登记
     * @return 金四-用户登记集合
     */
    public List<InvoiceAllYhdj> selectInvoiceAllYhdjList(InvoiceAllYhdj invoiceAllYhdj);

    /**
     * 新增金四-用户登记
     * 
     * @param invoiceAllYhdj 金四-用户登记
     * @return 结果
     */
    public int insertInvoiceAllYhdj(InvoiceAllYhdj invoiceAllYhdj);

    /**
     * 修改金四-用户登记
     * 
     * @param invoiceAllYhdj 金四-用户登记
     * @return 结果
     */
    public int updateInvoiceAllYhdj(InvoiceAllYhdj invoiceAllYhdj);

    /**
     * 批量删除金四-用户登记
     * 
     * @param ids 需要删除的金四-用户登记主键集合
     * @return 结果
     */
    public int deleteInvoiceAllYhdjByIds(Long[] ids);

    /**
     * 删除金四-用户登记信息
     * 
     * @param id 金四-用户登记主键
     * @return 结果
     */
    public int deleteInvoiceAllYhdjById(Long id);
}
